Crazy Eddies GUI System: CEGUI::OgreTextureTarget Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Static Protected Attributes
CEGUI::OgreTextureTarget Class Reference

CEGUI::TextureTarget implementation for the Ogre engine. More...

Inheritance diagram for CEGUI::OgreTextureTarget:
[legend]
Collaboration diagram for CEGUI::OgreTextureTarget:
[legend]

List of all members.

## Public Member Functions
| OgreTextureTarget (OgreRenderer &owner, Ogre::RenderSystem &rs)
| Constructor.
virtual | ~OgreTextureTarget ()
| Destructor.
bool | isImageryCache () const
| Return whether the RenderTarget is an implementation that caches actual rendered imagery.
void | clear ()
| Clear the surface of the underlying texture.
Texture & | getTexture () const
| Return a pointer to the CEGUI::Texture that the TextureTarget is using.
void | declareRenderSize (const Size &sz)
| Used to declare to the TextureTarget the largest size, in pixels, of the next set of incoming rendering operations.
bool | isRenderingInverted () const
| Return whether rendering done on the target texture is inverted in relation to regular textures.
## Protected Attributes
OgreTexture * | d_CEGUITexture
| This wraps d_texture so it can be used by the core CEGUI lib.
## Static Protected Attributes
static const float | DEFAULT_SIZE
| default / initial size for the underlying texture.

## Detailed Description

CEGUI::TextureTarget implementation for the Ogre engine.

## Member Function Documentation

void CEGUI::OgreTextureTarget::declareRenderSize | ( | const Size & | sz | ) | `[virtual]`

Used to declare to the TextureTarget the largest size, in pixels, of the next set of incoming rendering operations.

Note:
  The main purpose of this is to allow for the implemenatation to resize the underlying texture so that it can hold the imagery that will be drawn.

Parameters:

  sz | Size object describing the largest area that will be rendererd in the next batch of rendering operations.

Exceptions:

  InvalidRequestException | May be thrown if the TextureTarget would not be able to handle the operations rendering content of the given size.

Implements CEGUI::TextureTarget.

Texture& CEGUI::OgreTextureTarget::getTexture | ( |  | ) | const`[virtual]`

Return a pointer to the CEGUI::Texture that the TextureTarget is using.

Returns:
  Texture object that the TextureTarget uses when rendering imagery.

Implements CEGUI::TextureTarget.

bool CEGUI::OgreTextureTarget::isImageryCache | ( |  | ) | const`[virtual]`

Return whether the RenderTarget is an implementation that caches actual rendered imagery.

Typically it is expected that texture based RenderTargets would return true in response to this call. Other types of RenderTarget, like view port based targets, will more likely return false.

Returns:
  - true if the RenderTarget does cache rendered imagery.
  - false if the RenderTarget does not cache rendered imagery.

Implements CEGUI::RenderTarget.

bool CEGUI::OgreTextureTarget::isRenderingInverted | ( |  | ) | const`[virtual]`

Return whether rendering done on the target texture is inverted in relation to regular textures.

This is intended to be used when generating geometry for rendering the TextureTarget onto another surface.

Returns:
  - true if the texture content should be considered as inverted vertically in comparison with other regular textures.
  - false if the texture content has the same orientation as regular textures.

Implements CEGUI::TextureTarget.